Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170209 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170209

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
fvwm2 (2.6.6 -> 2.6.7)
hugin
iio-sensor-proxy (2.0 -> 2.1)
libosinfo (0.3.1 -> 1.0.0)
open-vm-tools
pim-data-exporter
python-ldap (2.4.29 -> 2.4.30)
vhba-kmp (20140928_k4.9.8_1 -> 20161009_k4.9.8_1)
xlockmore

=== Details ===

==== fvwm2 ====
Version update (2.6.6 -> 2.6.7)

- Update to 2.6.7 (06-Nov-2016)
- dropped fvwm-icon-440d675d14412ec0a123d4c977534ab688229148.patch
* New fvwm features:
A new default configuration which is available when fvwm
doesn't detect a configuration file to load.
A new conditional command "Desk n" can restrict matching
windows to a specific desk.
A new conditional command "Screen n" to restrict matching
windows on a given Xinerama screen.
New expansion variable "w.screen" to ascertain the Xineram
screen number a window is on.
New command "InfoStoreClear" to remove all items in the
InfoStore.
* Removed features:
The old and unmaintained debian/ and rpm/ directories have
been removed; use the maintainers' copies where available.
VMS support has been removed.
GTK1.x support has been removed.
GNOME-specific window hints (pre-EWMH) have been removed.
Some fvwm modules have been removed:
FvwmDragWell (no replacement)
FvwmGTK (no replacement)
FvwmSave (no replacement)
FvwmSaveDesk (no replacement)
FvwmScroll (no replacement)
FvwmTabs (no replacement, never worked anyway)
FvwmTaskBar (use FvwmButtons)
FvwmTheme (in core of fvwm as colorsets)
FvwmWharf (use FvwmButtons)
FvwmWinList (use WindowList command)
FvwmWindowMenu (use WindowList command)
FvwmIconBox (use the IconBox style instead)
* New module features:
FvwmButtons learned a new option "Colorset" to its
ChangeButton command.
* fvwm-menu-desktop updated:
Renamed default menu to XDGMenu and changed the name
of the FvwmForm to FvwmForm-XDGMenu-Config to not conflict
with someone already using FvwmMenu.
fvwm-menu-desktop will now load defaults from the
FvwmForm-XDGMenu-Config data file.
Improved dynamic menus by regenerating them on-the-fly.
Added new options: --regen-cmd, --dynamic, and more.
* Bug fixes:
A bug introduced in 2.6.6 could cause applications with
negative coordinates to be placed at strange positions. This
affected for example acroread when switching to fullscreen
mode. This has been fixed.
FvwmButtons "Silent" option for dynamic ChangeButton commands
no longer loops infinitely.

==== hugin ====

- use individual libboost-*-devel packages instead of boost-devel

==== iio-sensor-proxy ====
Version update (2.0 -> 2.1)

- Update to version 2.1:
+ This release fixes a security problem that will affect services
other than iio-sensor-proxy, that have a system D-Bus
interface.
+ Make D-Bus policy rules only affect SensorProxy itself.
+ Lockdown service through systemd.
+ Fix startup problem on machines with a Compass device.
- Do not use systemd macros for iio-sensor-proxy.service, they are
not designed for dbus systemd unit file.
- Add iio-sensor-proxy-rpmlintrc, silence the unwarranted rpmlint
warnings now produced.

==== libosinfo ====
Version update (0.3.1 -> 1.0.0)
Subpackages: libosinfo-1_0-0 typelib-1_0-Libosinfo-1_0

- Update to version 1.0.0 (bsc#1013983)
Changes in this release include:
- Update loader to follow new layout for external database
- Move all database files into separate osinfo-db package
- Move osinfo-db-validate into osinfo-db-tools package
- Patches moved to osinfo-db package (dropped from libosinfo)
0ae4f0db-add-missing-sle12-distros.patch
1a7ce161-add-sle-resource-information.patch
3c621fd8-add-opensuse-date-information.patch
470b7652-add-opensuse-device-information.patch
50091807-add-sle-device-information.patch
67c74e5f-add-opensuse-leap-42.2-support.patch
99ae3d72-add-sle12sp2-support.patch
99f7e666-fix-opensuse-derives-from-information.patch
9a35cea7-fix-sle-derives-from-information.patch
9dec2be8-add-sle-date-information.patch
e77abec7-add-opensuse-resource-information.patch
f0d44d88-add-missing-sle10-distros.patch
- bsc#1013983 - incomplete capabilities list of SLE and openSUSE
distributions in libosinfo
0ae4f0db-add-missing-sle12-distros.patch
1a7ce161-add-sle-resource-information.patch
3c621fd8-add-opensuse-date-information.patch
470b7652-add-opensuse-device-information.patch
50091807-add-sle-device-information.patch
67c74e5f-add-opensuse-leap-42.2-support.patch
99ae3d72-add-sle12sp2-support.patch
99f7e666-fix-opensuse-derives-from-information.patch
9a35cea7-fix-sle-derives-from-information.patch
9dec2be8-add-sle-date-information.patch
e77abec7-add-opensuse-resource-information.patch
f0d44d88-add-missing-sle10-distros.patch
- Dropped or renamed
0ae4f0db-add-missing-sles-distros.patch
add-missing-sle10-distros.patch
add-opensuse-leap-42.2-support.patch
add-sle12sp2-support-for-arch.patch
add-sle12sp2-support.patch
Fix_derives-from_and_add_tablet_item.patch
- bsc#1012005 - [openqa virtualization] using the wrong bootloader
tool to boot the sles-12-sp3 pv kernel on xen platform
add-sle12sp3-support.patch
add-opensuse-leap-42.3-support.patch
- bsc#1003456 - virt-install fails to detect openSUSE Leap 42.2 ISO
add-opensuse-leap-42.2-support.patch
- bsc#1000188 - virt-install on aarch64 does not detect
installation iso
add-sle12sp2-support-for-arch.patch

==== open-vm-tools ====
Subpackages: libvmtools0 open-vm-tools-desktop

- Sumbitting update for SLE11SP4, SLE12SP1, SLE12SP2
see fate#322214 & fate#322218
- Report SLES12-SAP guest OS as SLES12 (bsc#1013496)
+ Report-SLES12-SAP-guest-OS-as-SLES12.patch

==== pim-data-exporter ====

- use individual libboost-*-devel packages instead of boost-devel

==== python-ldap ====
Version update (2.4.29 -> 2.4.30)

- Update to upstream release 2.4.30
(with compability fix for pyasn1 0.2.x)

==== vhba-kmp ====
Version update (20140928_k4.9.8_1 -> 20161009_k4.9.8_1)

- Update to new upstream release 20161009
* Documentation updates

==== xlockmore ====

- Drop esound-devel BuildRequires: the distro moved away from
esound some years ago.
- Drop xlockmore-no-copy-dt-needed-entries.patch: as esd is no
longer being built, we also don't need to link it anymore.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages